function scatter_color(coor,dmg)
col=jet(64);
maxDmg=max(dmg);
% maxDmg=1.0d0;
minDmg=min(dmg);
if((maxDmg-minDmg)<=1e-16)
    idx=ones(size(coor,1),1);
else
idx=floor((dmg-minDmg)/(maxDmg-minDmg)*(64-1))+1;
end
scatter3(coor(:,1),coor(:,2),coor(:,3),900/sqrt(size(coor,1)),col(idx,:),'filled')
axis([min(coor(:,1)),max(coor(:,1)),min(coor(:,2)),max(coor(:,2)),min(coor(:,3)),max(coor(:,3))])
axis equal
axis off
colorbar('eastoutside');
colormap(jet);
caxis([minDmg,maxDmg]);
pause(0.001)
end